none
Visual Studio 2010 IntelliSense and SQL Server Compact 3.5 RRS feed

  • Question

  • Good afternoon,

    Our company is currently using Visual Studio 2010 and are in progress for our upgrade to Visual Studio 2017.  We are running into an issue where we are being asked to remediate SQL Server Compact Edition 3.5 on our machines prior to the end of life support of Visual Studio 2010 which is July 2020.

    We have tried several things such as uninstalling SQL Server Compact Edition 3.5 and installing 4.0 but Visual Studio 2010 still looks for the 3.5 version.  We got an exception until the end of the year as we will not be done with our upgrade to 2017 by then.  With the end of the year approaching looking to see if anyone can help as our developers need IntelliSense.

    Is there any way to decouple SQL Server Compact Edition 3.5 from Visual Studio 2010 and continue to utilize IntelliSense?  Or is the only way IntelliSense will work on Visual Studio 2010 is if you have SQL Server Compact Edition 3.5 installed?

    Tank you very much!!

    Monday, November 4, 2019 7:09 PM

All replies

  • I you are creating C# applications, you do not need SQL CE 3.5: https://stackoverflow.com/questions/14716068/vs2010-depends-on-sql-server-compact-3-5-for-intellisense 


    Please mark as answer, if this was it. Visit my SQL Server Compact blog http://erikej.blogspot.com

    Tuesday, November 12, 2019 7:29 PM
    Moderator
  • Unfortunately our applications are written in C. 
    Tuesday, November 12, 2019 8:56 PM